%define module	incremental

Name:		python-%{module}
Version:	17.5.0
Release:	%mkrel 7
Summary:	Library for versioning Python projects
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/incremental/
Source0:	https://pypi.io/packages/source/i/incremental/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Library for versioning Python projects.

%package -n	python3-%{module}
Summary:	Library for versioning Python projects
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Library for versioning Python projects.

%prep
%setup -qn %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf src/%{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc NEWS.rst README.rst
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 17.5.0-7.mga8
+ Revision: 1530702
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 17.5.0-6.mga8
+ Revision: 1437280
- rebuild for python3.8
- add python_provide
- drop python2 support

* Sat Jan 05 2019 wally <wally> 17.5.0-5.mga7
+ Revision: 1349504
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 17.5.0-4.mga7
+ Revision: 1288986
- Mageia 7 Mass Rebuild

* Tue Feb 20 2018 daviddavid <daviddavid> 17.5.0-3.mga7
+ Revision: 1203440
- rename python-incremental to python2-incremental

* Sat Aug 05 2017 pterjan <pterjan> 17.5.0-2.mga7
+ Revision: 1135456
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 17.5.0-1.mga7
+ Revision: 1132256
- initial package python-incremental

